Package org.eclipse.birt.chart.computation

# Enum LabelLimiter.Option

java.lang.Object
java.lang.Enum<LabelLimiter.Option>
org.eclipse.birt.chart.computation.LabelLimiter.Option

All Implemented Interfaces:
  `Serializable`, `Comparable<LabelLimiter.Option>`, `java.lang.constant.Constable`

Enclosing class:
  `LabelLimiter`

public static enum LabelLimiter.Option extends Enum<LabelLimiter.Option>
Options used by method limitLabelSize. Option

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIX_HEIGHT`
limitLabelSize will return the old maxHeight instead of the calculated one (smaller).
`FIX_WIDTH`
limitLabelSize will return the old maxWidth instead of the calculated one (smaller).

## Method Summary

Modifier and Type
Method
Description
`static LabelLimiter.Option`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LabelLimiter.Option[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FIX_WIDTH

public static final LabelLimiter.Option FIX_WIDTH
limitLabelSize will return the old maxWidth instead of the calculated one (smaller).

### FIX_HEIGHT

public static final LabelLimiter.Option FIX_HEIGHT
limitLabelSize will return the old maxHeight instead of the calculated one (smaller).

## Method Details

### values

public static LabelLimiter.Option[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static LabelLimiter.Option valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null